Xalan-Java 2.7.1: Class ExtensionNamespaceContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.extensions
Class ExtensionNamespaceContext

    java.lang.Object
      |
      +--org.apache.xalan.extensions.ExtensionNamespaceContext

public class ExtensionNamespaceContext
extends java.lang.Object
implements NamespaceContext

A sample implementation of NamespaceContext, with support for EXSLT extension functions and Java extension functions.

Field Summary
`static java.lang.String` | `EXSLT_DATETIME_PREFIX`
`static java.lang.String` | `EXSLT_DATETIME_URI`
`static java.lang.String` | `EXSLT_DYNAMIC_PREFIX`
`static java.lang.String` | `EXSLT_DYNAMIC_URI`
`static java.lang.String` | `EXSLT_MATH_PREFIX`
`static java.lang.String` | `EXSLT_MATH_URI`
`static java.lang.String` | `EXSLT_PREFIX`
`static java.lang.String` | `EXSLT_SET_PREFIX`
`static java.lang.String` | `EXSLT_SET_URI`
`static java.lang.String` | `EXSLT_STRING_PREFIX`
`static java.lang.String` | `EXSLT_STRING_URI`
`static java.lang.String` | `EXSLT_URI`
`static java.lang.String` | `JAVA_EXT_PREFIX`
`static java.lang.String` | `JAVA_EXT_URI`

Constructor Summary
`ExtensionNamespaceContext()`

Method Summary
`java.lang.String` | `getNamespaceURI(java.lang.String prefix)` Return the namespace uri for a given prefix
`java.lang.String` | `getPrefix(java.lang.String namespace)` Return the prefix for a given namespace uri.
`java.util.Iterator` | `getPrefixes(java.lang.String namespace)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXSLT_PREFIX

    public static final java.lang.String EXSLT_PREFIX

### EXSLT_URI

    public static final java.lang.String EXSLT_URI

### EXSLT_MATH_PREFIX

    public static final java.lang.String EXSLT_MATH_PREFIX

### EXSLT_MATH_URI

    public static final java.lang.String EXSLT_MATH_URI

### EXSLT_SET_PREFIX

    public static final java.lang.String EXSLT_SET_PREFIX

### EXSLT_SET_URI

    public static final java.lang.String EXSLT_SET_URI

### EXSLT_STRING_PREFIX

    public static final java.lang.String EXSLT_STRING_PREFIX

### EXSLT_STRING_URI

    public static final java.lang.String EXSLT_STRING_URI

### EXSLT_DATETIME_PREFIX

    public static final java.lang.String EXSLT_DATETIME_PREFIX

### EXSLT_DATETIME_URI

    public static final java.lang.String EXSLT_DATETIME_URI

### EXSLT_DYNAMIC_PREFIX

    public static final java.lang.String EXSLT_DYNAMIC_PREFIX

### EXSLT_DYNAMIC_URI

    public static final java.lang.String EXSLT_DYNAMIC_URI

### JAVA_EXT_PREFIX

    public static final java.lang.String JAVA_EXT_PREFIX

### JAVA_EXT_URI

    public static final java.lang.String JAVA_EXT_URI

Constructor Detail

### ExtensionNamespaceContext

    public ExtensionNamespaceContext()

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

  Return the namespace uri for a given prefix
  Specified by:
    getNamespaceURI in interface NamespaceContext

### getPrefix

    public java.lang.String getPrefix(java.lang.String namespace)

  Return the prefix for a given namespace uri.
  Specified by:
    getPrefix in interface NamespaceContext

### getPrefixes

    public java.util.Iterator getPrefixes(java.lang.String namespace)

  Specified by:
    getPrefixes in interface NamespaceContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.